{
  description = "Flake-o-rama";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";

    vscode-server.url = "github:nix-community/nixos-vscode-server";
  };

  outputs = { self, nixpkgs, vscode-server }:
  let
    system = "aarch64-linux";

    pkgs = import nixpkgs {
      allowUnfree = true;
    };
  in
  {
    nixosConfigurations = {
      server = nixpkgs.lib.nixosSystem {
        specialArgs = { inherit system; };

        modules = [
          vscode-server.nixosModules.default
          ./hosts/server/configuration.nix
        ];
      };
    };
  };
}
